---
inputType: "CA10__CaAwsRedshiftCluster__c"
importExtracts:
  - file: "/types/CA10__CaAwsRedshiftCluster__c/object.extracts.yaml"
testData:
  - file: "test-data.json"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The Cluster is not available."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "available"
  - status: "COMPLIANT"
    currentStateMessage: "The Redshift Cluster Version Upgrade is enabled."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__versionUpgrade__c"
        right:
          TEXT: "Allowed"
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "The Redshift Cluster Version Upgrade is not enabled."
  remediationMessage: "Consider enabling Version Upgrade for the Cluster."